Bug 46113 - asterisk: Multiple issues (4.2)
asterisk: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks: 47889
  Show dependency treegraph
 
Reported: 2018-01-23 11:25 CET by Philipp Hahn
Modified: 2018-10-01 17:13 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 7.5 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H) NVD


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-01-23 11:25:11 CET
Upstream Debian package version 1:11.13.1~dfsg-2+deb8u5 fixes:

If the chan_skinny (aka SCCP protocol) channel driver is flooded with certain requests, it can cause the asterisk process to use excessive amounts of virtual memory, eventually causing asterisk to stop processing requests of any kind. (CVE-2017-17090)

Note: advisories AST-2017-009 - AST-2017-012 do not apply to asterisk 11
Comment 1 Philipp Hahn univentionstaff 2018-01-25 10:59:30 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 2 Arvid Requate univentionstaff 2018-04-12 18:31:20 CEST
Verified:
* Upstream binary imported into errata4.2-3
* No additional UCS patches in 4.2
* Advisory: Ok
Comment 3 Arvid Requate univentionstaff 2018-04-18 14:15:57 CEST
<http://errata.software-univention.de/ucs/4.2/325.html>